## breeze 6.1.4

=== debian/changelog ===
breeze (4:6.1.4-0zneon+22.04+jammy+release+build1) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 09 Sep 2024 07:43:06 +0000

breeze (4:6.1.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Jul 2024 13:00:38 +0000

breeze (4:6.1.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Jul 2024 15:21:29 +0000

breeze (4:6.1.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Jun 2024 16:57:26 +0000

breeze (4:6.1.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 15 Jun 2024 08:30:34 +0000

breeze (4:6.0.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Apr 2024 04:24:07 +0000

breeze (4:6.0.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Mar 2024 18:09:10 +0000

breeze (4:6.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Mar 2024 17:38:23 +0000

breeze (4:6.0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 22 Feb 2024 17:14:54 +0000

breeze (4:5.91.90-0neon) jammy; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 10 Jan 2024 16:11:49 +1000

breeze (4:5.27.10-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 20:43:34 +0000

breeze (4:5.27.9-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Oct 2023 14:52:38 +0000

breeze (4:5.27.8-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Sep 2023 12:00:59 +0000

breeze (4:5.27.7-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 01 Aug 2023 11:14:08 +0000

breeze (4:5.27.6-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Jun 2023 16:01:50 +0000

breeze (4:5.27.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 12:27:49 +0000

breeze (4:5.27.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 04 Apr 2023 12:25:28 +0000

breeze (4:5.27.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Mar 2023 15:04:02 +0000

breeze (4:5.27.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 28 Feb 2023 13:59:48 +0000

breeze (4:5.27.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Feb 2023 14:28:20 +0000

breeze (4:5.27.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Feb 2023 12:43:27 +0000

breeze (4:5.26.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 29 Nov 2022 13:38:22 +0000

breeze (4:5.26.3.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 08 Nov 2022 20:46:17 +0000

breeze (4:5.26.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 26 Oct 2022 11:35:03 +0000

breeze (4:5.26.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 21 Oct 2022 14:15:09 +0000

breeze (4:5.26.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 09 Oct 2022 09:51:32 +0000

breeze (4:5.25.5-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Sep 2022 15:32:22 +0000

breeze (4:5.25.4-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2022 16:02:54 +0000

breeze (4:5.25.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 28 Jun 2022 12:59:39 +0000

breeze (4:5.25.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Jun 2022 22:38:46 +0000

breeze (4:5.24.5-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 03 May 2022 12:20:03 +0000

breeze (4:5.24.4-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 29 Mar 2022 13:48:35 +0000

breeze (4:5.24.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 08 Mar 2022 15:44:52 +0000

breeze (4:5.24.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 22 Feb 2022 14:00:01 +0000

breeze (4:5.24.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 07 Feb 2022 17:06:38 +0000

breeze (4:5.23.5-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 04 Jan 2022 10:33:35 +0000

breeze (4:5.23.4-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 30 Nov 2021 14:25:40 +0000

breeze (4:5.23.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Nov 2021 17:50:10 +0000

breeze (4:5.23.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Oct 2021 14:05:44 +0000

breeze (4:5.23.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Oct 2021 04:24:05 +0000

breeze (4:5.23.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Oct 2021 10:20:00 +0000

breeze (4:5.22.5-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 31 Aug 2021 13:33:16 +0000

breeze (4:5.22.4-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 27 Jul 2021 12:33:25 +0000

breeze (4:5.22.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jul 2021 11:48:01 +0000

breeze (4:5.22.2.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 22 Jun 2021 19:47:16 +0000

breeze (4:5.22.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 22 Jun 2021 17:53:40 +0000

breeze (4:5.22.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jun 2021 11:43:32 +0000

breeze (4:5.22.0-0neon) focal; urgency=medium

  * New release



=== debian/control ===
Source: breeze
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-frameworkintegration-dev,
               kf6-kcmutils-dev,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kguiaddons-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kirigami2-dev,
               kf6-kpackage-dev,
               kf6-kservice-dev,
               kf6-kwindowsystem-dev,
               kirigami2-dev,
               kwayland-dev,
               libfftw3-dev,
               libkdecorations2-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5guiaddons-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5kcmutils-dev,
               libkf5package-dev,
               libkf5service-dev,
               libkf5style-dev,
               libkf5wayland-dev,
               libkf5windowsystem-dev,
               libplasma-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               pkg-config,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qtbase5-dev,
               qtdeclarative5-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/workspace/breeze
Vcs-Git: https://invent.kde.org/neon/kde/breeze.git
Vcs-Browser: https://invent.kde.org/neon/kde/breeze
Maintainer: Neon CI <neon@kde.org>

Package: breeze
Architecture: any
Depends: breeze-cursor-theme (= ${source:Version}),
         kde-style-breeze (= ${binary:Version}),
         kf6-breeze-icon-theme,
         kwin-style-breeze (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Default Plasma theme (meta-package).
 This is the default theme for the KDE Plasma desktop.
 .
 This package includes wallpapers, icons, cursors, KWin style and Qt
 widget style for the Plasma 6 desktop.
 .
 This package is part of the KDE base workspace module.

Package: breeze-cursor-theme
Architecture: all
Depends: breeze, ${misc:Depends}, ${shlibs:Depends}
Description: Default Plasma cursor theme.
 This is the default cursor theme for the KDE Plasma 6 desktop.
 .
 This package is part of the Breeze theme module.

Package: breeze-dev
Architecture: any
Depends: breeze, ${misc:Depends}, ${shlibs:Depends}
Description: Default Plasma theme (development files).
 This is the default theme for the KDE Plasma desktop.
 .
 This package includes development files.

Package: kde-style-breeze
Architecture: any
Depends: breeze, ${misc:Depends}, ${shlibs:Depends}
Description: Widget style for Qt and KDE Software
 This is the default widget style for KDE's Plasma desktop.
 .
 This package is part of the Breeze theme module.

Package: kwin-style-breeze
Architecture: any
Depends: breeze, ${misc:Depends}, ${shlibs:Depends}
Description: KWin Breeze Style
 This is the Breeze window manager style for the KDE Plasma 6 desktop.
 .
 This package is part of the Breeze theme module.

Package: breeze5
Architecture: any
Depends: breeze, ${misc:Depends}, ${shlibs:Depends}
Description: Default Plasma theme for Plasma 5.
 This is the compatability theme for QT/KDE 5 apps on the Plasma 6 desktop.

Package: breeze5-dev
Architecture: any
Section: oldlibs
Priority: optional
Depends: breeze5, ${misc:Depends}
Description: Default Plasma theme (development files).
 Transitional package.

Package: breeze5-cursor-theme
Architecture: all
Section: oldlibs
Priority: optional
Depends: breeze5, ${misc:Depends}
Description: Default Plasma cursor theme.
 Transitional package.

Package: kde-style-breeze5
Architecture: all
Section: oldlibs
Priority: optional
Depends: breeze5, ${misc:Depends}
Description: Widget style for Qt and KDE Software
 Transitional package.

Package: kwin-style-breeze5
Architecture: all
Section: oldlibs
Priority: optional
Depends: breeze5, ${misc:Depends}
Description: KWin Breeze Style
 Transitional package.

Package: kde-style-breeze5-qt4
Architecture: all
Section: oldlibs
Priority: optional
Depends: breeze5, ${misc:Depends}
Description: Widget style for Qt 4 and KDE Software - transitional
 Transitional package.

## breeze 6.1.5

=== debian/changelog ===
breeze (4:6.1.5-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Sep 2024 05:57:29 +0100

breeze (4:6.1.4-0ubuntu2) oracular; urgency=medium

  * Depend on kf6-breeze-icon-theme instead of the transitional package.

 -- Rik Mills <rikmills@kde.org>  Sat, 07 Sep 2024 18:42:33 +0100

breeze (4:6.1.4-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Aug 2024 21:40:40 +0100

breeze (4:6.1.3-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.3).
  * Drop obsolete Breaks relations.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 21 Jul 2024 23:46:17 +0200

breeze (4:6.1.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.1.0).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.
  * Update lintian-overrides.
  * Update descriptions.

 -- Patrick Franz <deltaone@debian.org>  Sat, 22 Jun 2024 14:30:36 +0200

breeze (4:5.27.11-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * New upstream release (5.27.11).
  * Update build-deps and deps with the info from cmake.
  * Remove inactive uploaders, thanks for your work.

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 May 2024 12:21:30 +0200

=== debian/control ===
Source: breeze
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 5.102.0~),
               gettext,
               kirigami2-dev (>= 5.102.0~),
               libkdecorations2-dev (>= 4:6.1.5~),
               libkf5config-dev (>= 5.102.0~),
               libkf5configwidgets-dev (>= 5.102.0~),
               libkf5coreaddons-dev (>= 5.102.0~),
               libkf5guiaddons-dev (>= 5.102.0~),
               libkf5i18n-dev (>= 5.102.0~),
               libkf5iconthemes-dev (>= 5.102.0~),
               libkf5kcmutils-dev (>= 5.102.0~),
               libkf5style-dev (>= 5.102.0~),
               libkf5windowsystem-dev (>= 5.102.0~),
               libkf6colorscheme-dev (>= 6.2.0~),
               libkf6config-dev (>= 6.2.0~),
               libkf6coreaddons-dev (>= 6.2.0~),
               libkf6guiaddons-dev (>= 6.2.0~),
               libkf6i18n-dev (>= 6.2.0~),
               libkf6iconthemes-dev (>= 6.2.0~),
               libkf6kcmutils-dev (>= 6.2.0~),
               libkf6style-dev (>= 6.2.0~),
               libkf6windowsystem-dev (>= 6.2.0~),
               libkirigami-dev (>= 6.2.0~),
               libqt5x11extras5-dev (>= 5.15.2~),
               libx11-dev,
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.6.0+dfsg~),
               qt6-declarative-dev (>= 6.6.0+dfsg~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/?p=breeze.git/breeze
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/breeze
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/breeze
Rules-Requires-Root: no

Package: breeze
Architecture: any
Depends: breeze-cursor-theme (= ${source:Version}),
         kf6-breeze-icon-theme,
         kde-style-breeze (= ${binary:Version}),
         kwin-style-breeze (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kde-style-qtcurve,
Suggests: orion-gtk-theme,
Description: Default Plasma theme (Metapackage)
 This is the default theme for the KDE Plasma desktop.
 .
 This package includes wallpapers, icons, cursors, KWin style and Qt
 widget style for the Plasma 6 desktop.
 .
 This package is part of the KDE base workspace module.

Package: breeze-cursor-theme
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Default Plasma cursor theme
 This is the default cursor theme for the KDE Plasma 6 desktop.
 .
 This package is part of the Breeze theme module.

Package: breeze-dev
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Default Plasma theme (development files)
 This is the default theme for the KDE Plasma desktop.
 .
 This package includes development files.
 .
 This package is part of the KDE base workspace module.

Package: kde-style-breeze
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Widget style for Qt and KDE Software
 This is the default widget style for KDE's Plasma desktop.
 .
 This package is part of the Breeze theme module.

Package: kwin-style-breeze
Architecture: any
Depends: kde-style-breeze (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KWin Breeze Style
 This is the Breeze window manager style for the KDE Plasma 6 desktop.
 .
 This package is part of the Breeze theme module.

## breeze 6.2.5

=== debian/changelog ===
breeze (4:6.2.5-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Re-upload source-only.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 08 Jan 2025 08:17:33 +0100

breeze (4:6.2.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.5).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Jan 2025 10:59:23 +0100

breeze (4:6.2.4-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Split the theming support for Qt5/KF5 apps into a separate,
    recommended package. (Closes: #1091813)

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 02 Jan 2025 01:30:39 +0100

breeze (4:6.2.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.4).
  * Remove obsolete conf files /etc/X11/cursors/breeze_cursors.theme and
    /etc/X11/cursors/Breeze_Snow.theme. (Closes: #1088961)

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 03 Dec 2024 16:46:12 +0100

breeze (4:6.2.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.3).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 23 Nov 2024 21:57:30 +0100

breeze (4:6.2.1-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 15 Oct 2024 18:20:08 +0200

breeze (4:6.2.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.2.0).
  * Tighten inter-Plasma package dependencies.
  * Add/update Jonathan Esk-Riddell in upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 05 Oct 2024 23:17:45 +0200

breeze (4:6.1.5-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.5).
  * Tighten Plasma packages inter-dependencies.
  * Drop obsolete Recommends and Suggests.
  * Drop useless ${shlibs:Depends} for breeze-dev.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 Sep 2024 23:57:44 +0200

breeze (4:6.1.4-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Tighten Plasma packages inter-dependencies.
  * Split breeze default wallpaper into an arch:all package.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Aug 2024 00:20:09 +0200

breeze (4:6.1.4-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.4).
  * Recommend libkf6kcmutils-bin for the style configuration KCMs.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Aug 2024 23:58:22 +0200

=== debian/control ===
Source: breeze
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 5.102.0~),
               gettext,
               kirigami2-dev (>= 5.102.0~),
               libkdecorations2-dev (>= 4:6.2.0~),
               libkf5config-dev (>= 5.102.0~),
               libkf5configwidgets-dev (>= 5.102.0~),
               libkf5coreaddons-dev (>= 5.102.0~),
               libkf5guiaddons-dev (>= 5.102.0~),
               libkf5i18n-dev (>= 5.102.0~),
               libkf5iconthemes-dev (>= 5.102.0~),
               libkf5kcmutils-dev (>= 5.102.0~),
               libkf5style-dev (>= 5.102.0~),
               libkf5windowsystem-dev (>= 5.102.0~),
               libkf6colorscheme-dev (>= 6.5.0~),
               libkf6config-dev (>= 6.5.0~),
               libkf6coreaddons-dev (>= 6.5.0~),
               libkf6guiaddons-dev (>= 6.5.0~),
               libkf6i18n-dev (>= 6.5.0~),
               libkf6iconthemes-dev (>= 6.5.0~),
               libkf6kcmutils-dev (>= 6.5.0~),
               libkf6style-dev (>= 6.5.0~),
               libkf6windowsystem-dev (>= 6.5.0~),
               libkirigami-dev (>= 6.5.0~),
               libqt5x11extras5-dev (>= 5.15.2~),
               libx11-dev,
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/?p=breeze.git/breeze
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/breeze
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/breeze.git
Rules-Requires-Root: no

Package: breeze
Architecture: any
Depends: breeze-cursor-theme (= ${source:Version}),
         breeze-icon-theme,
         breeze-wallpaper (= ${source:Version}),
         kde-style-breeze (= ${binary:Version}),
         kwin-style-breeze (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kde-style-breeze-qt5 (= ${binary:Version}),
Description: Default Plasma theme (Metapackage)
 This is the default theme for the KDE Plasma desktop.
 .
 This package includes wallpapers, icons, cursors, KWin style and Qt
 widget style for the Plasma 6 desktop.
 .
 This package is part of the KDE base workspace module.

Package: breeze-wallpaper
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: breeze (<< 4:6.1.4-2~),
Replaces: breeze (<< 4:6.1.4-2~),
Description: Default Plasma wallpaper
 This is the default wallpaper for the KDE Plasma 6 desktop.
 .
 This package is part of the Breeze theme module.

Package: breeze-cursor-theme
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Default Plasma cursor theme
 This is the default cursor theme for the KDE Plasma 6 desktop.
 .
 This package is part of the Breeze theme module.

Package: breeze-dev
Architecture: any
Depends: ${misc:Depends},
Description: Default Plasma theme (development files)
 This is the default theme for the KDE Plasma desktop.
 .
 This package includes development files.
 .
 This package is part of the KDE base workspace module.

Package: kde-style-breeze
Architecture: any
Depends: kde-style-breeze-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6kcmutils-bin,
Description: Widget style for Qt and KDE Software
 This is the default widget style for KDE's Plasma desktop.
 .
 This package is part of the Breeze theme module.

Package: kde-style-breeze-qt5
Architecture: any
Depends: kde-style-breeze-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6kcmutils-bin,
Breaks: kde-style-breeze (<< 4:6.2.4-2~),
Replaces: kde-style-breeze (<< 4:6.2.4-2~),
Description: Widget style for Qt and KDE Software running Qt5
 This is the default widget style for KDE's Plasma desktop for apps still
 depending on Qt5 and KDE Frameworks 5.
 .
 This package is part of the Breeze theme module.

Package: kde-style-breeze-data
Architecture: all
Depends: ${misc:Depends},
Breaks: kde-style-breeze (<< 4:6.2.4-2~),
Replaces: kde-style-breeze (<< 4:6.2.4-2~),
Description: Widget style for Qt and KDE Software - data files
 This is the default widget style for KDE's Plasma desktop.
 .
 This package containts the architecture-independent data files used by both
 the Qt6 and Qt5 versions of the Breeze theme module.
 .
 This package is part of the Breeze theme module.

Package: kwin-style-breeze
Architecture: any
Depends: kde-style-breeze (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6kcmutils-bin,
Description: KWin Breeze Style
 This is the Breeze window manager style for the KDE Plasma 6 desktop.
 .
 This package is part of the Breeze theme module.

## breeze 6.2.90

=== debian/changelog ===
breeze (4:6.2.90-0ubuntu2) plucky; urgency=medium

  * Depend on kf6-breeze-icon theme instead of the transitional package
    from KF5.

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Jan 2025 08:03:48 +0000

breeze (4:6.2.90-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.90)
  * Switch kdecorations build dep to libkdecorations3-dev
  * Build depend on qt6-svg-dev.
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 05:19:36 +0000

breeze (4:6.2.5-1ubuntu1) plucky; urgency=medium

  * Merge from Debian. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Breaks/Replaces to suit Kubuntu upload/version history.
    - Build depend on current libkdecorations2-dev version.

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Jan 2025 08:23:46 +0000

breeze (4:6.2.5-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 31 Dec 2024 18:58:47 +0000

breeze (4:6.2.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 26 Nov 2024 12:11:33 +0000

breeze (4:6.2.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.0)
  * New upstream release (6.2.1)
  * New upstream release (6.2.2)
  * New upstream release (6.2.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 19:54:56 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: breeze
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
@@ -9,10 +10,10 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                cmake (>= 3.16~),
-               extra-cmake-modules (>= 5.102.0~),
+               extra-cmake-modules (>= 6.10.0~),
                gettext,
                kirigami2-dev (>= 5.102.0~),
-               libkdecorations2-dev (>= 4:6.2.0~),
+               libkdecorations3-dev (>= 4:6.2.90~),
                libkf5config-dev (>= 5.102.0~),
                libkf5configwidgets-dev (>= 5.102.0~),
                libkf5coreaddons-dev (>= 5.102.0~),
@@ -22,34 +23,35 @@
                libkf5kcmutils-dev (>= 5.102.0~),
                libkf5style-dev (>= 5.102.0~),
                libkf5windowsystem-dev (>= 5.102.0~),
-               libkf6colorscheme-dev (>= 6.5.0~),
-               libkf6config-dev (>= 6.5.0~),
-               libkf6coreaddons-dev (>= 6.5.0~),
-               libkf6guiaddons-dev (>= 6.5.0~),
-               libkf6i18n-dev (>= 6.5.0~),
-               libkf6iconthemes-dev (>= 6.5.0~),
-               libkf6kcmutils-dev (>= 6.5.0~),
-               libkf6style-dev (>= 6.5.0~),
-               libkf6windowsystem-dev (>= 6.5.0~),
-               libkirigami-dev (>= 6.5.0~),
+               libkf6colorscheme-dev (>= 6.10.0~),
+               libkf6config-dev (>= 6.10.0~),
+               libkf6coreaddons-dev (>= 6.10.0~),
+               libkf6guiaddons-dev (>= 6.10.0~),
+               libkf6i18n-dev (>= 6.10.0~),
+               libkf6iconthemes-dev (>= 6.10.0~),
+               libkf6kcmutils-dev (>= 6.10.0~),
+               libkf6style-dev (>= 6.10.0~),
+               libkf6windowsystem-dev (>= 6.10.0~),
+               libkirigami-dev (>= 6.10.0~),
                libqt5x11extras5-dev (>= 5.15.2~),
                libx11-dev,
                libxkbcommon-dev,
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.7.0~),
+               qt6-svg-dev (>= 6.7.0~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/?p=breeze.git/breeze
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/breeze
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/breeze.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/breeze
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/breeze
 Rules-Requires-Root: no
 
 Package: breeze
 Architecture: any
 Depends: breeze-cursor-theme (= ${source:Version}),
-         breeze-icon-theme,
+         kf6-breeze-icon-theme,
          breeze-wallpaper (= ${source:Version}),
          kde-style-breeze (= ${binary:Version}),
          kwin-style-breeze (= ${binary:Version}),
@@ -68,8 +70,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
-Breaks: breeze (<< 4:6.1.4-2~),
-Replaces: breeze (<< 4:6.1.4-2~),
+Breaks: breeze (<< 4:6.2.5-1~),
+Replaces: breeze (<< 4:6.2.5-1~),
 Description: Default Plasma wallpaper
  This is the default wallpaper for the KDE Plasma 6 desktop.
  .
@@ -111,8 +113,8 @@
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf6kcmutils-bin,
-Breaks: kde-style-breeze (<< 4:6.2.4-2~),
-Replaces: kde-style-breeze (<< 4:6.2.4-2~),
+Breaks: kde-style-breeze (<< 4:6.2.5-1~),
+Replaces: kde-style-breeze (<< 4:6.2.5-1~),
 Description: Widget style for Qt and KDE Software running Qt5
  This is the default widget style for KDE's Plasma desktop for apps still
  depending on Qt5 and KDE Frameworks 5.
@@ -122,8 +124,8 @@
 Package: kde-style-breeze-data
 Architecture: all
 Depends: ${misc:Depends},
-Breaks: kde-style-breeze (<< 4:6.2.4-2~),
-Replaces: kde-style-breeze (<< 4:6.2.4-2~),
+Breaks: kde-style-breeze (<< 4:6.2.5-1~),
+Replaces: kde-style-breeze (<< 4:6.2.5-1~),
 Description: Widget style for Qt and KDE Software - data files
  This is the default widget style for KDE's Plasma desktop.
  .

## breeze 6.2.91

=== debian/changelog ===
breeze (4:6.2.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.91).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 23 Jan 2025 23:52:37 +0100

breeze (4:6.2.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.90).
  * Update build-deps and deps with the info from cmake.
  * Update the list of installed files from the build logs.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 11 Jan 2025 23:38:41 +0100

## breeze 6.3.0

=== debian/changelog ===
breeze (4:6.3.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.0).
  * Backport upstream patch to make Breeze Dark color theme darker.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 10 Feb 2025 14:59:32 +0100

## breeze 6.3.2

=== debian/changelog ===
breeze (4:6.3.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.1).
  * New upstream release (6.3.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 28 Feb 2025 00:52:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: breeze
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
@@ -10,10 +9,10 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.10.0~),
+               extra-cmake-modules (>= 5.102.0~),
                gettext,
                kirigami2-dev (>= 5.102.0~),
-               libkdecorations3-dev (>= 4:6.2.90~),
+               libkdecorations3-dev,
                libkf5config-dev (>= 5.102.0~),
                libkf5configwidgets-dev (>= 5.102.0~),
                libkf5coreaddons-dev (>= 5.102.0~),
@@ -39,19 +38,19 @@
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.7.0~),
-               qt6-svg-dev (>= 6.7.0~),
+               qt6-svg-dev,
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/?p=breeze.git/breeze
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/breeze
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/breeze
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/breeze
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/breeze.git
 Rules-Requires-Root: no
 
 Package: breeze
 Architecture: any
 Depends: breeze-cursor-theme (= ${source:Version}),
-         kf6-breeze-icon-theme,
+         breeze-icon-theme,
          breeze-wallpaper (= ${source:Version}),
          kde-style-breeze (= ${binary:Version}),
          kwin-style-breeze (= ${binary:Version}),
@@ -70,8 +69,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
-Breaks: breeze (<< 4:6.2.5-1~),
-Replaces: breeze (<< 4:6.2.5-1~),
+Breaks: breeze (<< 4:6.1.4-2~),
+Replaces: breeze (<< 4:6.1.4-2~),
 Description: Default Plasma wallpaper
  This is the default wallpaper for the KDE Plasma 6 desktop.
  .
@@ -113,8 +112,8 @@
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf6kcmutils-bin,
-Breaks: kde-style-breeze (<< 4:6.2.5-1~),
-Replaces: kde-style-breeze (<< 4:6.2.5-1~),
+Breaks: kde-style-breeze (<< 4:6.2.4-2~),
+Replaces: kde-style-breeze (<< 4:6.2.4-2~),
 Description: Widget style for Qt and KDE Software running Qt5
  This is the default widget style for KDE's Plasma desktop for apps still
  depending on Qt5 and KDE Frameworks 5.
@@ -124,8 +123,8 @@
 Package: kde-style-breeze-data
 Architecture: all
 Depends: ${misc:Depends},
-Breaks: kde-style-breeze (<< 4:6.2.5-1~),
-Replaces: kde-style-breeze (<< 4:6.2.5-1~),
+Breaks: kde-style-breeze (<< 4:6.2.4-2~),
+Replaces: kde-style-breeze (<< 4:6.2.4-2~),
 Description: Widget style for Qt and KDE Software - data files
  This is the default widget style for KDE's Plasma desktop.
  .

## breeze 6.3.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(breeze)
set(PROJECT_VERSION "6.3.4")
set(PROJECT_VERSION_MAJOR 6)

set(KF5_MIN_VERSION "5.102.0")
set(KF6_MIN_VERSION "6.10.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")
set(QT5_MIN_VERSION "5.15.2")
set(QT_MIN_VERSION "6.7.0")

include(GenerateExportHeader)
include(WriteBasicConfigVersionFile)
include(FeatureSummary)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH}  ${CMAKE_SOURCE_DIR}/cmake)

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

# We need this because we can't include KDECMakeSettings here, because that
# would need KDEInstallDirs, which we can only include in the qt{5,6} builds
# to get the correct installation dirs for each Qt version.
option(BUILD_TESTING "Build the testing tree." ON)
if(BUILD_TESTING)
    enable_testing()
endif()

include(CMakePackageConfigHelpers)
include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(KDEGitCommitHooks)

include(GtkUpdateIconCache)


option(BUILD_QT5 "Build Qt5 style" ON)
option(BUILD_QT6 "Build with Qt6" ON)

set(QT_NO_CREATE_VERSIONLESS_TARGETS ON)
set(QT_NO_CREATE_VERSIONLESS_FUNCTIONS ON)

# For KDE CI only. As the current infrastructure doesn't allow us to set CMAKE options per build variant
if($ENV{CI_JOB_NAME_SLUG} MATCHES "qt5")
    set(BUILD_QT5 ON)
    set(BUILD_QT6 OFF)
elseif($ENV{CI_JOB_NAME_SLUG} MATCHES "qt6")
    set(BUILD_QT5 OFF)
    set(BUILD_QT6 ON)
endif()

function(build_Qt5)
    set(QT_MAJOR_VERSION 5)
    include(KDEInstallDirs5)
    include(KDECMakeSettings)

    find_package(Qt5 ${QT5_MIN_VERSION} REQUIRED CONFIG COMPONENTS Widgets)

    if(UNIX AND NOT APPLE AND NOT ANDROID)
        find_package(Qt5 ${QT5_MIN_VERSION} CONFIG REQUIRED DBus)
        set(HAVE_QTDBUS ${Qt5DBus_FOUND})

        find_package(KF5FrameworkIntegration ${KF5_MIN_VERSION} CONFIG )
        set_package_properties(KF${QT_MAJOR_VERSION}FrameworkIntegration PROPERTIES
            DESCRIPTION "KF${QT_MAJOR_VERSION} Framework Integration"
            URL "https://projects.kde.org/projects/frameworks/frameworkintegration"
            TYPE OPTIONAL
            PURPOSE "Required to use KStyle convenience functionalities in style")

        find_package(Qt5 ${QT5_MIN_VERSION} OPTIONAL_COMPONENTS X11Extras)
        set_package_properties(KF${QT_MAJOR_VERSION}FrameworkIntegration PROPERTIES
            DESCRIPTION "KF${QT_MAJOR_VERSION} Framework Integration"
            URL "https://projects.kde.org/projects/frameworks/frameworkintegration"
            TYPE OPTIONAL
            PURPOSE "Required to use KStyle convenience functionalities in style")
    endif()

    find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
        CoreAddons
        Config
        ConfigWidgets
        GuiAddons
        IconThemes
        WindowSystem)

    find_package(Qt5 ${QT5_MIN_VERSION} OPTIONAL_COMPONENTS Quick)
    if(${Qt5Quick_FOUND})
        find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Kirigami2)
    endif()

    set(BREEZE_HAVE_KSTYLE ${KF5FrameworkIntegration_FOUND})
    set(BREEZE_HAVE_QTQUICK ${Qt5Quick_FOUND})

    add_subdirectory(kstyle kstyle5)
    add_subdirectory(libbreezecommon libbreezecommon5)

    unset(QUERY_EXECUTABLE CACHE)
endfunction()
if(BUILD_QT5)
    build_Qt5()
endif()

function(build_Qt6)
    set(QT_MAJOR_VERSION 6)
    include(KDEInstallDirs6)
    include(KDECMakeSettings)

    if(UNIX AND NOT APPLE AND NOT ANDROID)
        find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED DBus)
        set(HAVE_QTDBUS ${Qt6DBus_FOUND})

        option(WITH_DECORATIONS "Build Breeze window decorations for KWin" ON)
        option(WITH_WALLPAPERS "Install Breeze default wallpapers" ON)

        find_package(KF6FrameworkIntegration ${KF6_MIN_VERSION} CONFIG )
        set_package_properties(KF${QT_MAJOR_VERSION}FrameworkIntegration PROPERTIES
            DESCRIPTION "KF6 Framework Integration"
            URL "https://projects.kde.org/projects/frameworks/frameworkintegration"
            TYPE OPTIONAL
            PURPOSE "Required to use KStyle convenience functionalities in style")

        find_package(KF6KCMUtils ${KF6_MIN_VERSION})
        set_package_properties(KF6KCMUtils PROPERTIES
            TYPE REQUIRED
            DESCRIPTION "Helps create configuration modules"
            PURPOSE "KCMUtils used for the configuration modules or the decoration and Qt Style"
        )
    else()
        set(WITH_DECORATIONS OFF)
        set(WITH_WALLPAPERS OFF)
    endif()

    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED CONFIG COMPONENTS Widgets Core Svg)

    find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
        CoreAddons
        ColorScheme
        Config
        GuiAddons
        I18n
        IconThemes
        WindowSystem)

    find_package(Qt6 ${QT_MIN_VERSION} OPTIONAL_COMPONENTS Quick)
    if(${Qt6Quick_FOUND})
        find_package(KF6KirigamiPlatform ${KF6_MIN_VERSION} REQUIRED)
    endif()

    set(BREEZE_HAVE_KSTYLE ${KF6FrameworkIntegration_FOUND})
    set(BREEZE_HAVE_QTQUICK ${Qt6Quick_FOUND})

    # https://bugreports.qt.io/browse/QTBUG-114706
    add_library(Qt::Core ALIAS Qt6::Core)
    add_library(Qt::Gui ALIAS Qt6::Gui)
    add_library(Qt::OpenGL ALIAS Qt6::OpenGL)
    add_library(Qt::Network ALIAS Qt6::Network)
    if(Qt6_VERSION_MINOR GREATER 6)
        add_library(Qt::PlatformModuleInternal ALIAS Qt6::PlatformModuleInternal)
    endif()

    add_subdirectory(kstyle kstyle6)
    add_subdirectory(libbreezecommon libbreezecommon6)
    add_subdirectory(misc)

    if(WITH_DECORATIONS)
        find_package(KDecoration3 REQUIRED)
        add_subdirectory(kdecoration)
    endif()
    if (WITH_WALLPAPERS)
        add_subdirectory(wallpapers)
    endif()

    ki18n_install(po)

    # create a Config.cmake and a ConfigVersion.cmake file and install them
    include(ECMSetupVersion)
    ecm_setup_version(${PROJECT_VERSION} VARIABLE_PREFIX BREEZE
        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/BreezeConfigVersion.cmake"
    )
    set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/Breeze")

    configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/BreezeConfig.cmake.in"
                                  "${CMAKE_CURRENT_BINARY_DIR}/BreezeConfig.cmake"
                                  PATH_VARS KDE_INSTALL_FULL_DATADIR
                                  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
    )
    install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/BreezeConfig.cmake"
                   "${CMAKE_CURRENT_BINARY_DIR}/BreezeConfigVersion.cmake"
            DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
            COMPONENT Devel
    )

    unset(QUERY_EXECUTABLE CACHE)
endfunction()
if(BUILD_QT6)
    build_Qt6()
endif()

function(build_colors_and_cursors)
    # While it is technically not 100% correct to use versionless
    # KDEInstallDirs while (maybe) building for both Qt versions,
    # it doesn't really matter at the end, because colors and cursors
    # only use ICONDIR and DATADIR which both do not depend on the version
    include(KDEInstallDirs)
    add_subdirectory(colors)
    add_subdirectory(cursors)
endfunction()

build_colors_and_cursors()

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== cursors/src/CMakeLists.txt ===
if(BUILD_QT6)
    add_subdirectory(kcursorgen)
endif()

=== cursors/src/kcursorgen/CMakeLists.txt ===
include(ECMMarkNonGuiExecutable)

set(CMAKE_AUTOMOC ON)

add_executable(kcursorgen)

ecm_mark_nongui_executable(kcursorgen)

target_sources(kcursorgen PRIVATE
    main.cpp
    kcursorgen.cpp
)
target_link_libraries(kcursorgen Qt6::Core Qt6::Svg)

install(TARGETS kcursorgen)

=== debian/changelog ===
breeze (4:6.3.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 02 Apr 2025 08:53:19 +0100

breeze (4:6.3.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 15:14:37 +0000

breeze (4:6.3.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build depend on KF6 >= 6.10.0 and Plasma 6.3.2
    - Breaks/Replaces for Ubuntu version history.
    - Depend on kf6-breeze-icon-theme instead of the transitional package.

 -- Rik Mills <rikmills@kde.org>  Mon, 03 Mar 2025 08:20:08 +0000

breeze (4:6.3.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2025 18:14:02 +0000

breeze (4:6.3.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2025 14:21:11 +0000

breeze (4:6.3.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2025 12:52:58 +0000

breeze (4:6.2.91-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.91)

 -- Rik Mills <rikmills@kde.org>  Thu, 23 Jan 2025 13:39:42 +0000

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: breeze
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
-               extra-cmake-modules (>= 5.102.0~),
+               extra-cmake-modules (>= 6.10.0~),
                gettext,
                kirigami2-dev (>= 5.102.0~),
-               libkdecorations3-dev,
+               libkdecorations3-dev (>= 4:6.3.4~),
                libkf5config-dev (>= 5.102.0~),
                libkf5configwidgets-dev (>= 5.102.0~),
                libkf5coreaddons-dev (>= 5.102.0~),
@@ -43,14 +44,14 @@
                qtdeclarative5-dev (>= 5.15.2~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/?p=breeze.git/breeze
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/breeze
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/breeze.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/breeze
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/breeze
 Rules-Requires-Root: no
 
 Package: breeze
 Architecture: any
 Depends: breeze-cursor-theme (= ${source:Version}),
-         breeze-icon-theme,
+         kf6-breeze-icon-theme,
          breeze-wallpaper (= ${source:Version}),
          kde-style-breeze (= ${binary:Version}),
          kwin-style-breeze (= ${binary:Version}),
@@ -69,8 +70,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
-Breaks: breeze (<< 4:6.1.4-2~),
-Replaces: breeze (<< 4:6.1.4-2~),
+Breaks: breeze (<< 4:6.2.5-1~),
+Replaces: breeze (<< 4:6.2.5-1~),
 Description: Default Plasma wallpaper
  This is the default wallpaper for the KDE Plasma 6 desktop.
  .
@@ -112,8 +113,8 @@
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf6kcmutils-bin,
-Breaks: kde-style-breeze (<< 4:6.2.4-2~),
-Replaces: kde-style-breeze (<< 4:6.2.4-2~),
+Breaks: kde-style-breeze (<< 4:6.2.5-1~),
+Replaces: kde-style-breeze (<< 4:6.2.5-1~),
 Description: Widget style for Qt and KDE Software running Qt5
  This is the default widget style for KDE's Plasma desktop for apps still
  depending on Qt5 and KDE Frameworks 5.
@@ -123,8 +124,8 @@
 Package: kde-style-breeze-data
 Architecture: all
 Depends: ${misc:Depends},
-Breaks: kde-style-breeze (<< 4:6.2.4-2~),
-Replaces: kde-style-breeze (<< 4:6.2.4-2~),
+Breaks: kde-style-breeze (<< 4:6.2.5-1~),
+Replaces: kde-style-breeze (<< 4:6.2.5-1~),
 Description: Widget style for Qt and KDE Software - data files
  This is the default widget style for KDE's Plasma desktop.
  .
